# Generated from gitXplorer-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitXplorer

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Simulate a Linux shell to browse a git tree
License: GPL-3.0
URL: https://gitlab.com/mjwhitta/gitXplorer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
GitXplorer will start a shell-like session that simulates a filesystem. Easily
navigate through directories and browse all files across all revisions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/gitX
%{_bindir}/gitx
%{_bindir}/gitXplorer
%{_bindir}/gitxplorer
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.3-1
- Initial package
